%define lib_major 0
%define api_version 3
%define libname %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name}

Summary:        API documentation browser for developers
Name:           devhelp
Version:        3.2.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Development/Other
URL:            http://live.gnome.org/devhelp
Source0:        http://ftp.gnome.org/pub/GNOME/sources/devhelp/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gconf-2.0) >= 2.6.0
BuildRequires: pkgconfig(glib-2.0) >= 2.25.11
BuildRequires: pkgconfig(gthread-2.0) >= 2.10.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires: pkgconfig(webkitgtk-3.0)
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{libname}
Summary:        Dynamic libraries for devhelp
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libname}
this package contains dynamic libraries for devhelp.


%package -n %{libnamedev}
Summary:        Static libraries, include files for devhelp
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Obsoletes:	%{_lib}devhelp-2-devel < %{version}

%description -n %{libnamedev}
Static library and headers file for devhelp.

%package -n %{name}-plugins
Summary:        Gedit Plugins for Devhelp
Group:          Editors
Requires:       gedit

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
%define schemas %name
%preun_uninstall_gconf_schemas %schemas

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%_sysconfdir/gconf/schemas/devhelp.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/devhelp
%{_datadir}/icons/hicolor/*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libdevhelp-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/devhelp-%{api_version}.0

%files -n %{name}-plugins
%defattr(-, root, root)
%{_libdir}/gedit/plugins/*


%changelog
* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0
